commit 0396faa015d6b4a50feb7a439721749c9c9723c5
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sun Dec 28 01:19:22 2025

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 7c867c8c3a9..c328358b99f 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251227
+20251228
diff --git a/gcc/ada/ChangeLog b/gcc/ada/ChangeLog
index 0f350f2b8a3..dd86df58acd 100644
--- a/gcc/ada/ChangeLog
+++ b/gcc/ada/ChangeLog
@@ -1,3 +1,9 @@
+2025-12-27  Eric Botcazou  <ebotcazou@gcc.gnu.org>
+
+	PR ada/123306
+	* sem_ch12.adb (Analyze_One_Association): Immediately freeze the
+	root type of mutably tagged types used as actual type parameters.
+
 2025-12-26  Eric Botcazou  <ebotcazou@gcc.gnu.org>
 
 	PR ada/123088
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 290a828436f..e522ba3e46c 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,7 @@
+2025-12-27  Eric Botcazou  <ebotcazou@gcc.gnu.org>
+
+	* gnat.dg/specs/mutably_tagged1.ads: New test.
+
 2025-12-26  Eric Botcazou  <ebotcazou@gcc.gnu.org>
 
 	* gnat.dg/aggr34.adb: New test.

